Submit merchant application
curl --request POST \
--url https://api.creditor.younegotiate.com/merchant-settings/merchant-application \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"merchant_processor_name": "Example Processor",
"contact_name": "Processor Contact",
"phone": "2125550199",
"email": "processor@example.com",
"api_url": "https://api.processor.example"
}
'import requests
url = "https://api.creditor.younegotiate.com/merchant-settings/merchant-application"
payload = {
"merchant_processor_name": "Example Processor",
"contact_name": "Processor Contact",
"phone": "2125550199",
"email": "processor@example.com",
"api_url": "https://api.processor.example"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
merchant_processor_name: 'Example Processor',
contact_name: 'Processor Contact',
phone: '2125550199',
email: 'processor@example.com',
api_url: 'https://api.processor.example'
})
};
fetch('https://api.creditor.younegotiate.com/merchant-settings/merchant-application', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "New merchant request successfully sent.",
"data": {
"id": 123,
"merchant_processor_name": "<string>",
"contact_name": "<string>",
"phone": "<string>",
"email": "jsmith@example.com",
"api_url": "<string>",
"status": "<string>",
"status_label": "<string>",
"company": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"message": "An active membership is required."
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Submit merchant application
Submit a request for API integration with an existing merchant processor. Only one merchant application may be submitted per creditor company.
POST
/
merchant-settings
/
merchant-application
Submit merchant application
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Maximum string length:
255Maximum string length:
100US phone number.
Maximum string length:
255URLs without a scheme are normalized to HTTPS before validation.
Maximum string length:
255Last modified on July 20, 2026
Was this page helpful?
⌘I

